// text
%text {
	color:$fg_color;
	font-family:$font_family;
	font-kerning:initial;
	font-size: $font_size;
	font-weight: $font_weight;
	text-rendering:optimizelegibility;
}

// label
p {
	@extend %text;
	width: 100%;
	margin:6px 0;
	display: inline-block;
	color: $fg_color;
}

.small-label {
	@extend %text;
	@extend %dim_label;
	font-size:$font_size - 3px;
	line-height:$font_size;
}

caption,
.caption {
	@extend %text;
	font-size: $caption_font_size;}

.large-label {
	font-size: $font_size * 2;
}

.larger-label {
	// font-size: $font_size + 3px;
}

.dark-label {
	color: darken($fg_color, 20%);
}

%dim_label,
.dim-label {
	// color: desaturate(lighten($fg_color, 40%), 20%);
	opacity: 0.6;
	b,u,i {color: inherit;}
	svg>path, svg>g {fill: desaturate(lighten($fg_color, 30%), 20%);}
}

.info-label,
.link-label {
	color: $selected_bg_color;
	// color: lighten($fg_color, 20%);
	svg>path, svg>g {fill: $selected_bg_color;}
}

.success-label {
	color: $success_color !important;
	svg>path, svg>g {fill: $success_color;}
}

.error-label {
	color: $error_color !important;
	svg>path, svg>g {fill: $error_color;}
}
.warning-label {
	color: $warning_color !important;
	svg>path, svg>g {fill: $warning_color;}
}

.monospace {
	font-family: monospace;
	color: lighten($fg_color, 20%);
}

.monospace-label,
code {
	@extend %text;
	font-size: $font_size - 1px;
	font-family: monospace;
}

// links
a {
	@extend %text;
	text-decoration: none;
	color: $selected_bg_color;
}

// light
.light-text {
	@extend %text;
	color:inherit;
	font-family: "cantarell_light";
	font-weight: 300;
}

// bold
.bold-label,
b {
	@extend %text;
	font-family:"cantarell_bold", sans-serif;
	font-size: inherit;
	font-weight: 700;
	color:inherit;
}

.ultrabold-label {
	@extend %text;
	font-family:"cantarell_extrabold", sans-serif;
	font-size: inherit;
	font-weight: 1000;
	color:inherit;
}

// uppercase
.uppercase-label {
	text-transform: uppercase !important;
}

// underlined aka links
u { color: $selected_bg_color }


// headings
h1, h2, h3, h4, h5, h6 {
	@extend %text;
	font-family:"cantarell_bold", sans-serif;
	margin:0;
	* {
		vertical-align: middle;
	}
}


// Large Title
h1 {
	font-family:"cantarell_light", sans-serif;
	font-size:$large_title_font_size;
	letter-spacing: 0.2rem;
	line-height:2;
}

// Title
h2 {
	font-family:"cantarell_extrabold", sans-serif;
	font-size:$title_font_size;
	line-height:2;
	color: lighten($fg_color, 10%);
	margin: 8px 0;
}

// Heading
h3 {
	font-size:$title_font_size - 3pt;
	line-height:$font_size + 6px;
	color: lighten($fg_color, 10%);
	margin: 4px 0;
}

h4 {
	font-size:$font_size;
	line-height:$font_size + 8px;
	margin: 4px 2px;
}

h5 {
	font-size:$font_size;
	line-height:$font_size;
	margin: 16px 2px;
}



/***********************
* Text styles (headings)
************************/

.type-large-title {
   font-weight: 300;
   font-size: 24pt;
   letter-spacing: 0.2rem;
   margin-top: 1em;
   &:first-child { margin-top: 0; }
}
.type-title-1 {
   font-weight: 800;
   font-size: 20pt;
}
.type-title-2 {
   font-weight: 800;
   font-size: 15pt;
} 
.type-title-3 {
   font-weight: 700;
   font-size: 15pt;
}
.type-title-4 {
   font-weight: 700;
   font-size: 13pt;
}
.type-heading {
   font-weight: 700;
   font-size: 11pt;
}
.type-body {
   font-weight: 400;
   font-size: 11pt;
}
.type-caption-heading {
   font-weight: 700;
   font-size: 9pt;
}
.type-caption {
   font-weight: 400;
   font-size: 9pt;
}

